# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running `nixos-help`).

{ config, sources ? import ../../nix/sources.nix, pkgs ? import sources.nixpkgs {}, ... }:
let
  # Import Home Manager with niv.
  home-manager = (import ../../nix/sources.nix).home-manager;
in
{
  # Paths to other modules.
  # Compose this module out of smaller ones.
  # https://nixos.wiki/wiki/NixOS_modules
  imports =
    [
      # Include the results of the hardware scan.
      ./hardware-configuration.nix
      # Home Manager.
      (import "${home-manager}/nixos")
      ../../modules/home-manager.nix
      # NUR.
      ../../modules/nur.nix

      ../../modules/base.nix
      ../../modules/base-gnome.nix
      ../../modules/programs.nix
      ../../modules/autostart.nix
      ../../modules/wallpaper.nix
      ../../modules/fwupd-gnome.nix
      ../../modules/print-and-scan.nix
      #../../modules/fde-ssh-unlock.nix
      ../../modules/nextcloud-integration.nix

      ../../modules/gnome-config.nix
      ../../modules/gnome-extensions.nix
      #../../modules/gnome-fractional-scaling.nix
      ../../modules/git.nix
      ../../modules/zsh.nix
      ../../modules/nitrokey-gpg-smartcard.nix
      ../../modules/ssh.nix
      ../../modules/firefox.nix
      ../../modules/thunderbird.nix
      #../../modules/digikam.nix
      #../../modules/android.nix
      #../../modules/podman.nix
    ];

  networking.hostName = "yodaTab";
}
